Subject: [mobile-ip] RE: A Question about:draft-ietf-mobileip-aaa-nai-00.txt

From: "Ahmad Muhanna"<[email-masked]>
Date: Mon, 22 Apr 2002 10:54:41 -0500

Hi Fredrik;

Please see my comments inline.

Regards; 
Ahmad Muhanna 

Ahmad, 
 
please see comments inline
/fredrik

Hello All; 
I would like to address the following two points: 
I. Mobile Node and the new HA NAI extension: 
In section 4. It reads: 
" A mobile node MUST provide this in every registration request sent 
   when re-authenticating, or when requesting a specific IP address at 
   initial authentication." 
        1. Does this mean that whenever the mobile Node include a specific
Static 
        Home IP address, Mobile Node MUST provide the AAA NAI extension with
Subtype 1? 
[->] yes 
        2. Does this mean when the MN change point of attachment due to
Inter-FA handoff 
        It MUST include this extension. 
[->] yes 
If 1 & 2 are true? 
Where is the backward compatibility with legacy Mobile Node? 

[->] Isn't it the same as with any extension needed to authenticate through
an 
AAA infrastructure, e.g. the MN-AAA Authentication extension must be present

in order for the FA/HA to authenticate via AAA?

************
I do not think that It is the same!!
RFC3012 introduced a new way of authenticating the MN to the FA without
violating
backward compatibility of RFC2002 or later RFC3220.
Mobile Node does not know which way or the standard the foreign agent uses
to
authenticate it. It could be through RADIUS, AAA, Diameter who knows.

The point here is that this draft mandates that every Mobile Node include
AAA NAI extension
with subtype of 1 whenever it requests static Mobile IP or during Inter-FA
handoff. 
Now: (Standard Compliant RFC3220, RFC3012bis) Legacy Mobile Node which exist
right now, 
does not do this.
After this draft becomes a standard, according to this section, MN is not
following the
standard by not sending AAA NAI extension in initial Registration Request or
during re-authentication.!!!

This is not backward compatible!!!!

Thanks;
Ahmad
*****************

II. Home Agent handling of AAAH Identity Subtype extension: 
In section 5. It reads: 
"The home agent MUST provide this in every registration reply if using 
   the AAA server ." 
I would prefer more explicit sentence similar to one used earlier: 
"The home agent MUST provide this in every registration reply sent to 
  the mobile node destined through the AAA infrastructure." 
 
[->]You mean so don't have to send it every time? I have no problem with
that. 
/Fredrik
 Thanks for consideration. 
Regards; 
Ahmad Muhanna

---

From: Tony Johansson <[email-masked]>
Date: Mon, 22 Apr 2002 12:50:35 -0700

Hello Ahmad,

Ahmad Muhanna wrote:

> RFC3012 introduced a new way of authenticating the MN to the FA
> without violating
> Mobile Node does not know which way or the standard the foreign agent
> uses to

>
> The point here is that this draft mandates that every Mobile Node
> include AAA NAI extension
> with subtype of 1 whenever it requests static Mobile IP or during
> Inter-FA handoff.
> Now: (Standard Compliant RFC3220, RFC3012bis) Legacy Mobile Node which
> exist right now,
> does not do this.
> After this draft becomes a standard, according to this section, MN is
> not following the
> standard by not sending AAA NAI extension in initial Registration
> Request or during re-authentication.!!!
>

Okay, so how about adding the following statement to the introduction:

"The AAA NAI extension MUST only be used with the Diameter Mobile IPv4
application and MUST NOT be used with any other AAA protocol."

/Tony

---

From: "Fredrik Johansson" <[email-masked]>
Date: Tue, 23 Apr 2002 08:51:22 +0200

RE: A Question about:draft-ietf-mobileip-aaa-nai-00.txtAhmad,

Now I understand what you mean, I'll go ahead and add text according to Tony's
suggestion

thanks
/Fredrik
  -----Original Message-----
  From: Ahmad Muhanna [mailto:[email-masked]]
  Sent: den 22 april 2002 17:55
  To: 'Fredrik Johansson'; [email-masked]
  Cc: [email-masked]; [email-masked]
  Subject: RE: A Question about:draft-ietf-mobileip-aaa-nai-00.txt

  Hi Fredrik;

  Regards;
  Ahmad Muhanna

  Ahmad,

  Hello All;
          2. Does this mean when the MN change point of attachment due to Inter-FA
handoff

  [->] Isn't it the same as with any extension needed to authenticate through an
  AAA infrastructure, e.g. the MN-AAA Authentication extension must be present
  in order for the FA/HA to authenticate via AAA?

  ************
  Mobile Node does not know which way or the standard the foreign agent uses to

  The point here is that this draft mandates that every Mobile Node include AAA
NAI extension

  Thanks;
  Ahmad
  *****************

  [->]You mean so don't have to send it every time? I have no problem with that.
  /Fredrik
   Thanks for consideration.
  Regards;
  Ahmad Muhanna